#include <math.h>
#include <stdio.h>


/* funkcja wyswietla miejsca zerowe rownania kwadratowego postaci a*x^2+b*x+c=0.
   Funkcja zwraca liczbe miejsc zerowych (0, 1 lub 2).
    */
int pierwiastki (float a, float b, float c)
{
	float d;
   float x1,x2;
	d=b*b-4*a*c;
	if (d<0 || (a==0 && b==0)) 
   {
      printf("Brak miejsc zerowych\n");
      return 0;
   }

   if (a==0) 
   {
      x1=-c/b;
      printf("Jedno miejsce zerowe x=%f\n",x1);
      return 1;
   }

   a=2*a;
   x1=x2=-b/a;

	if (d==0) 
   {
      printf("Jedno miejsce zerowe x=%f\n",x1);
      return 1;
   }
	x1-=sqrt(d)/a;
	x2+=sqrt(d)/a;

   printf("Dwa mieksca zerowe x1= %f    x2= %f\n\n",x1,x2);
	
   return 2;
}


int main()
{
   float a,b,c;
   printf("Podaj wspolczynniki rownania kwadratowego\n");
   printf("a= ");    scanf("%f",&a);
   printf("b= ");    scanf("%f",&b);
   printf("c= ");    scanf("%f",&c);
   
   pierwiastki(a,b,c);
   
   return 0;
}


